Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryRGP

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryRGP

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryRGP

extends java.lang.Object
implements EPPCodecComponent

Defined the Registry Grace Period (RGP) status periods. The <registry:rgp> element contains the following child elements, where each child element supports the "unit" attribute with the possible values of "y" for year, "m" for month, "d" for day, and "h" for hour:

- <registry:redemptionPeriod> - The length of time that a domain object will remain in the redemptionPeriod status unless the restore request command is received. Use `getRedemptionPeriod()` and `setRedemptionPeriod(EPPRegistryRedemptionPeriodType)` to get and set the element.
- <registry:pendingRestore> - The length of time that the domain object will remain in the pendingRestore status unless the restore report command is received. Use `getPendingRestorePeriod()` and `setPendingRestorePeriod(EPPRegistryPendingRestorePeriodType)` to get and set the element.
- <registry:pendingDelete> - The length of time that the domain object will remain in the pendingDelete status prior to be purged. Use `getPendingDeletePeriod()` and `setPendingDeletePeriod(EPPRegistryPendingDeletePeriodType)` to get and set the element.

Version:
  1.4
Author:
  ljia
See Also:
  `EPPRegistryDomain`, `EPPRegistryRedemptionPeriodType`, `EPPRegistryPendingRestorePeriodType`, `EPPRegistryPendingDeletePeriodType`, Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` XML Element Name of `EPPRegistryRGP` root element.

Constructor Summary
`EPPRegistryRGP()` Default constructor.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRegistryRGP`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryRGP` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryRGP` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryRGP` compare.
`EPPRegistryPendingDeletePeriodType` | `getPendingDeletePeriod()` Get pending delete period.
`EPPRegistryPendingRestorePeriodType` | `getPendingRestorePeriod()` Get pending restore period.
`EPPRegistryRedemptionPeriodType` | `getRedemptionPeriod()` Get redemption period.
`void` | `setPendingDeletePeriod(EPPRegistryPendingDeletePeriodType pendingDeletePeriod)` Set pending delete period.
`void` | `setPendingRestorePeriod(EPPRegistryPendingRestorePeriodType pendingRestorePeriod)` Set pending restore period.
`void` | `setRedemptionPeriod(EPPRegistryRedemptionPeriodType redemptionPeriod)` Set redemption period.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML Element Name of `EPPRegistryRGP` root element.

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistryRGP

    public EPPRegistryRGP()

  Default constructor. All attributes are initialized to `null`. Must call `setRedemptionPeriod(EPPRegistryRedemptionPeriodType)`, `setPendingRestorePeriod(EPPRegistryPendingRestorePeriodType)` and `setPendingDeletePeriod(EPPRegistryPendingDeletePeriodType)` before calling `encode(Document)` method.

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPRegistryRGP` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPRegistryRGP` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPRegistryRGP` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPRegistryRGP` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPRegistryRGP` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRegistryRGP`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPRegistryRGP`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRegistryRGP` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPRegistryRGP` instance to compare with
  Returns:
    `true` if this object is the same as the aObject argument; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getRedemptionPeriod

    public EPPRegistryRedemptionPeriodType getRedemptionPeriod()

  Get redemption period.

  Returns:
    instance of `EPPRegistryRedemptionPeriodType` that defines redemption period attributes.

### setRedemptionPeriod

    public void setRedemptionPeriod(EPPRegistryRedemptionPeriodType redemptionPeriod)

  Set redemption period.

  Parameters:
    `redemptionPeriod` - instance of `EPPRegistryRedemptionPeriodType` that defines redemption period attributes.

### getPendingDeletePeriod

    public EPPRegistryPendingDeletePeriodType getPendingDeletePeriod()

  Get pending delete period.

  Returns:
    instance of `EPPRegistryPendingDeletePeriodType` that defines pending delete period attributes.

### setPendingDeletePeriod

    public void setPendingDeletePeriod(EPPRegistryPendingDeletePeriodType pendingDeletePeriod)

  Set pending delete period.

  Parameters:
    `pendingDeletePeriod` - instance of `EPPRegistryPendingDeletePeriodType` that defines pending delete period attributes.

### getPendingRestorePeriod

    public EPPRegistryPendingRestorePeriodType getPendingRestorePeriod()

  Get pending restore period.

  Returns:
    instance of `EPPRegistryPendingRestorePeriodType` that defines pending restore period attributes.

### setPendingRestorePeriod

    public void setPendingRestorePeriod(EPPRegistryPendingRestorePeriodType pendingRestorePeriod)

  Set pending restore period.

  Parameters:
    `pendingRestorePeriod` - instance of `EPPRegistryPendingRestorePeriodType` that defines pending restore period attributes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.